using System.Data;
using Npgsql;

namespace Femto.Common.Infrastructure.DbConnection;

public class DbConnectionFactory(string connectionString) : IDbConnectionFactory
{
    public IDbConnection GetConnection()
    {
        return new NpgsqlConnection(connectionString);
    }
}